if [ $# -eq 1 ]; then
	res=`egrep  "Call Trace|WARNING:.* at .*|BUG: .*|Oops:.*|HW error occurred.*|FW assertion|Tx timeout|ksmd.*oom-killer|CQE.*ERR|Failed.*traffic|bnx2x_process_kill.*|bnx2x_io_error_detected.*|DMAE timeout|dmae.*Timed-out.*|qed.*Fatal attention|qed_dbg_parse_attn.*|CQ.*not freed.*|Trying to send a MFW mailbox command.*in parallel to.*" $1 -oh | head -n 1`
fi
if [ "$res" == "FW assertion" ]
then
	rm -rf /tmp/assert_parsed
	`dirname $0`/asserts/extract_assert.sh $1 -p > /tmp/assert.log
	cat /tmp/assert_parsed/fw_asserts.txt | grep FATAL -A 5 | grep "string =.*" -o | sed 's/string = /FW assert:/g'
else
	echo $res
fi
